Subject: Linux on N64??

From: Jean-Michel <[email-masked]>
Date: Thu, 03 Apr 1997 10:51:56 -0800

This German Computer magazine claims to have seen a prototype
of Linux on N64. I send a msg to confirm the prototype.

Cheers
JM
--
http://www.ix.de/ix/artikel/E/1997/04/036/
> [iX-Minilogo] online [blaue Linie]
> 
>  [Aufmacher]  Linux for Nintendo 64
> 
> Jürgen Seeger
> 
>                             German version
> 
> [Leeraum: 25 Pkt.]
> 
> As early as Comdex fall 95 Netscape Corp. is said to have presented a
> port of their Navigator to the Mips CPU based Nintendo 64 behind
> closed doors. Talking to iX during the 1996 GUUG meeting, SCO's Doug
> Michels, too, regarded alliances with Sega or Nintendo as a "real
> option", especially as far as the postitioning of the Network Computer
> against the wintel dominance is concerned.
> 
> Insiders assume that Netscape's initiative failed because of a
> personal animosity between young entrepreneur Marc Andreessen and the
> very conservative Nintendo boss Hiroshi Yamaushi. SCO wasn't able to
> follow up their plans, for they have to concentrate their resources to
> the development of the 64 bit Unix they have codenamed Gemini.
> 
> And, as has happened before, the internet community, strongly
> committed to free software, put things to work, which were not
> completed in the commercial field. At the end of last year an Italian
> programmers' team got hold of the US version of N64 and a SGI Indy,
> including the N64 card. Thus the team ported Linux/Mips to the play
> station. Linux/Mips originally had been initiated by the music company
> Waldorf (see iX 2/96) and, since the beginning of 1996, has been
> ready-to-run on R4x00 CPUs.
> 
> The main difficulties, according to the Italians, were caused by the
> port of the X Window System to the N64 I/O hardware. At first they
> ported the output routines to the dedicated co-processors. Although
> N64-X11 is not yet really stable, legendary 500000 XStones have been
> reached so far - running on an ordinary TV set, driven by high
> frequency signals. Of course, the quality of the picture is much
> better, if an AV cable and a high-quality monitor are used.
> 
> Input media can be either the bundled console (see photograph above)
> or a PC keyboard via adapter. The first solution requires a bit of
> experience when entering text, because each character is represented
> by a 3 degree angle of the analog stick. Internationally less
> frequently used characters like the backslash were, therefore, not
> implemented.
> 
> Those who buy the optional N64 controller pack, can even save some
> data, e. g. personal preferences or WWW hotlists. The prototyp
> available at editorial deadline hasn't yet got a reliable network
> connection, because there are still problems between the manually
> soldered 100 MBit/s Digital 21140 chip and the 93.75 MHz of the R4300i
> CPU.
> 
> Like the former Mips RISC OS Linux/N64 works in bi-endian mode and,
> therefore, can process data of the two possible byte orders. Yet the
> kernel version 2.11 based Linux/N64 doesn't use Nintendo's 64 bit
> address mode - which is not really a disadvantage, considering the 4
> MBytes of memory available. A further problem: Nintendo Kyoto
> headquarter so far has steadfastly refused to build cards in
> significant volumes or to include Linux/N64 in their distribution
> channels. Siemens Nixdorf and Silicon Graphics, on the other hand,
> have expressed "a lot of interest". "This project could lead to a new
> deal in the desktop market", a speaker of the Munich based company
> figured. According to their speaker, Luciano Aprilia, the Italian
> developers, are going to make the software available under the GPL, so
> it can be used free of charge.
> 
> [unsichtbares Pixel] [Leeraum] [Leeraum]
> 
>                                  [iX]
> 
>             © Copyright by Verlag Heinz Heise GmbH & Co KG
>             Veröffentlichung und Vervielfältigung nur mit
>            Genehmigung des Verlags Heinz Heise GmbH & Co KG
> 
>   Letzte Veränderung am 624. März 1997 von js - Kritik, Anregungen &
>                    cetera bitte an den iX-Webmaster

-----8<-----
Jean-Michel Pittet,          [email-masked]     Phone:415-933-6149
FAX:933-0513
Silicon Graphics, Inc., 2011 N.Shoreline Blvd,9U-510, Mountain View CA
94043
    http://www.sgi.com/Products/hardware/servers/products/Network.html